安装 jekyll 记录

作者: Neil 分类: Ruby 发布时间: 2014-09-07 23:38

* 安装 ruby

apt-get install ruby1.9.1

* 一定要再安装 ruby dev

apt-get install ruby1.9.1-dev

* 安装 jekyll

gem install jekyll

查看是否安装成功:

jekyll --version
  • 如果出现错误,找不到javascript 运行时, 类似:
execJs: 'Could not find a JavaScript runtime' but execjs AND therubyracer are in Gemfile

请安装 nodejs:

wget wget http://nodejs.org/dist/v0.10.31/node-v0.10.31.tar.gz

tar xf node-v0.10.31.tar.gz

cd node-v0.10.31

./configure

make && make install

* 如果一切顺利的话, 顺便再把markdown也装上吧:

gem install rdiscount

byNeil
byNeil.com

From Blog by Neil, post 安装 jekyll 记录

原文来自 Blog by Neil, post 安装 jekyll 记录 转载请注明出处。本站保留一切权力

发表评论